Update Workflow Node
Patch selected fields on one node in the editable draft graph.
PATCH
/developer/v1/workflows/{definition_id}/nodes/{node_id}Authorizations
Authorizationstringheaderrequired
Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:write for the authenticated organization.
Headers
Acceptstringheader
Response media type. Use application/json for the current API.
Parameters
definition_idrequirednode_idrequiredRequest body
Send an application/json request body. This body is required.
WorkflowNodeUpdateRequest
configobject<string, any> | nulldefault_valueobject<string, any> | nullerror_strategystring | nullnamestring | nullnode_typestring | nullpositionarray<integer> | nullretry_configobject<string, any> | nullResponses
WorkflowMutationResponse
added_edge_countinteger | nullchanged_fieldsarray<string>definition_idstring | nullerrorstring | nullerror_categorystring | nullinsertedstring | nullnode_idstring | nullnode_namestring | nullHTTPValidationError
detailarray<ValidationError>